libterm-readpassword-perl_0.11-2_all.deb


Advertisement

Description

libterm-readpassword-perl - prompt user for a password

Distribution: Debian 8 (Jessie)
Repository: Debian Main amd64
Package name: libterm-readpassword-perl
Package version: 0.11
Package release: 2
Package architecture: all
Package type: deb
Installed size: 68 B
Download size: 12.21 KB
Official Mirror: ftp.br.debian.org
This module lets you ask the user for a password in the traditional way, from the keyboard, without echoing. The read_password function prompts for input, reads a line of text from the keyboard, then returns that line to the caller. The line of text doesn't include the newline character, so there's no need to use chomp.

Alternatives

Requires

    Download

    Source package: libterm-readpassword-perl

    Install Howto

    1. Update the package index:
      # sudo apt-get update
    2. Install libterm-readpassword-perl deb package:
      # sudo apt-get install libterm-readpassword-perl

    Files

    • /usr/share/doc/libterm-readpassword-perl/changelog.Debian.gz
    • /usr/share/doc/libterm-readpassword-perl/changelog.gz
    • /usr/share/doc/libterm-readpassword-perl/copyright
    • /usr/share/man/man3/Term::ReadPassword.3pm.gz
    • /usr/share/perl5/Term/ReadPassword.pm

    Changelog

    2008-03-12 - gregor herrmann <gregor+debian@comodo.priv.at> libterm-readpassword-perl (0.11-2) unstable; urgency=low * debian/rules: - delete /usr/lib/perl5 only if it exists (closes: #468021) - update based on dh-make-perl's templates * debian/watch: improved regexp for matching upstream releases. * debian/control: - add /me to Uploaders - slightly rephrase the short description to avoid duplication

    2007-12-23 - Gunnar Wolf <gwolf@debian.org> libterm-readpassword-perl (0.11-1) unstable; urgency=low [ Gregor Herrmann ] * debian/control: Added: Vcs-Svn field (source stanza); Vcs-Browser field (source stanza); Homepage field (source stanza). * Set Maintainer to Debian Perl Group. * Use dist-based URL in debian/watch. [ Rene Mayorga ] * New upstream release * Bump standard version to 3.7.3 (no changes requiered) * debian/compat set to 5 * debian/control + Add Build-Depends + Move deheleper from B-D-I to Build-Dependss + Raise debhelper version to >= 5 + Add ${misc:Depends} to Depends * debian/rules + add (build/install)-stamp targets + don't ignore make clean output + use 'realclean' instead 'clean' + remove unused/unneeded dh_* calls + move 'tests' to build target * debian/copyright + update upstream copyright info + refresh upstream URL [ Gunnar Wolf ] * No longer asks for a test password when building (i.e. runs non- interactively)

    2005-06-28 - Jay Bonci <jaybonci@debian.org> libterm-readpassword-perl (0.05-1) unstable; urgency=low * New upstream release

    2005-04-07 - Jay Bonci <jaybonci@debian.org> libterm-readpassword-perl (0.04-1) unstable; urgency=low * New upstream release

    2004-12-29 - Jay Bonci <jaybonci@debian.org> libterm-readpassword-perl (0.02-1) unstable; urgency=low * New upstream release

    2004-09-09 - Jay Bonci <jaybonci@debian.org> libterm-readpassword-perl (0.01-2) unstable; urgency=low * New Maintainer (Closes: #266461) * Changed section from interpreters to perl * Updated to standards version 3.6.1.0 (No other changes) * Changed to my standard rules template (no tests however) * Copyright file now meets standards. Includes correct license info * Updated to use debhelper 4 (debian/compat)

    2002-04-15 - Luca Filipozzi <lfilipoz@debian.org> libterm-readpassword-perl (0.01-1) unstable; urgency=low * Initial release. (closes: Bug#140948)

    Advertisement
    Advertisement